# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nextcloud/ruby/version'

Gem::Specification.new do |spec|
  spec.name          = 'nextcloud-ruby'
  spec.version       = Nextcloud::Ruby::VERSION
  spec.authors       = ['Andrej Antas', 'Ondrej Bina']
  spec.email         = ['andrej@antas.cz', 'binao@seznam.cz']

  spec.summary       = 'Wrapper for nextcloud XML API'
  spec.description   = 'Wrapper for nextcloud XML API - folder structure creation, etc...'
  spec.homepage      = 'https://github.com/ucetnictvi-on-line/nextcloud-ruby'
  spec.license       = 'MIT'

  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  else
    raise 'RubyGems 2.0 or newer is required to protect against ' \
      'public gem pushes.'
  end

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  
  spec.add_runtime_dependency 'nokogiri', '~> 1.8'
  spec.add_runtime_dependency 'addressable', '~> 2.5'

  spec.add_development_dependency 'bundler', '~> 1.15'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'pry', '~> 0.10'
  spec.add_development_dependency 'rubocop', '~> 0.49'
  spec.add_development_dependency 'vcr', '~> 3.0'
  spec.add_development_dependency 'webmock', '~> 3.0'
  spec.add_development_dependency 'simplecov', '~> 0.14'
  spec.add_development_dependency 'overcommit', '~> 0.40'
end
